zipheadio.h File Reference

Header file that defines I/O functions for the header structures defined in ziphead.h. More...

`#include "zipios++/zipios-config.h"`
`#include "zipios++/meta-iostreams.h"`
`#include <string>`
`#include <vector>`
`#include "zipios++/ziphead.h"`
`#include "zipios++/zipios_defs.h"`
`#include "zipios++/fcollexceptions.h"`
Include dependency graph for zipheadio.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

uint16 | zipios::ztohs (unsigned char *buf)
uint32 | zipios::ztohl (unsigned char *buf)
uint32 | zipios::htozl (unsigned char *buf)
uint16 | zipios::htozs (unsigned char *buf)
uint32 | zipios::readUint32 (istream &is)
void | zipios::writeUint32 (uint32 host_val, ostream &os)
uint16 | zipios::readUint16 (istream &is)
void | zipios::writeUint16 (uint16 host_val, ostream &os)
void | zipios::readByteSeq (istream &is, string &con, int count)
void | zipios::writeByteSeq (ostream &os, const string &con)
void | zipios::readByteSeq (istream &is, unsigned char *buf, int count)
void | zipios::writeByteSeq (ostream &os, const unsigned char *buf, int count)
void | zipios::readByteSeq (istream &is, vector< unsigned char > &vec, int count)
void | zipios::writeByteSeq (ostream &os, const vector< unsigned char > &vec)
istream & | zipios::operator>> (istream &is, ZipLocalEntry &zlh)
istream & | zipios::operator>> (istream &is, DataDescriptor &dd)
istream & | zipios::operator>> (istream &is, ZipCDirEntry &zcdh)
ostream & | zipios::operator<< (ostream &os, const ZipLocalEntry &zlh)
ostream & | zipios::operator<< (ostream &os, const ZipCDirEntry &zcdh)
ostream & | zipios::operator<< (ostream &os, const EndOfCentralDirectory &eocd)

## Detailed Description

Header file that defines I/O functions for the header structures defined in ziphead.h.

Definition in file zipheadio.h.

## Function Documentation

## htozl()

uint32 zipios::htozl | ( | unsigned char * | buf | ) |

inline

Definition at line 69 of file zipheadio.h.

## htozs()

uint16 zipios::htozs | ( | unsigned char * | buf | ) |

inline

Definition at line 74 of file zipheadio.h.

## operator<<() [1/3]

ostream & zipios::operator<< | ( | ostream & | os,
|  | const EndOfCentralDirectory & | eocd )

Definition at line 149 of file zipheadio.cpp.

## operator<<() [2/3]

ostream & zipios::operator<< | ( | ostream & | os,
|  | const ZipCDirEntry & | zcdh )

Definition at line 119 of file zipheadio.cpp.

## operator<<() [3/3]

ostream & zipios::operator<< | ( | ostream & | os,
|  | const ZipLocalEntry & | zlh )

Definition at line 95 of file zipheadio.cpp.

## readByteSeq() [1/3]

void zipios::readByteSeq | ( | istream & | is,
|  | string & | con,
|  | int | count )

inline

Definition at line 123 of file zipheadio.h.

## readByteSeq() [2/3]

void zipios::readByteSeq | ( | istream & | is,
|  | unsigned char * | buf,
|  | int | count )

inline

Definition at line 140 of file zipheadio.h.

## readByteSeq() [3/3]

void zipios::readByteSeq | ( | istream & | is,
|  | vector< unsigned char > & | vec,
|  | int | count )

inline

Definition at line 153 of file zipheadio.h.

## readUint16()

uint16 zipios::readUint16 | ( | istream & | is | ) |

inline

Definition at line 101 of file zipheadio.h.

## readUint32()

uint32 zipios::readUint32 | ( | istream & | is | ) |

inline

Definition at line 79 of file zipheadio.h.

## writeByteSeq() [1/3]

void zipios::writeByteSeq | ( | ostream & | os,
|  | const string & | con )

inline

Definition at line 136 of file zipheadio.h.

## writeByteSeq() [2/3]

void zipios::writeByteSeq | ( | ostream & | os,
|  | const unsigned char * | buf,
|  | int | count )

inline

Definition at line 149 of file zipheadio.h.

## writeByteSeq() [3/3]

void zipios::writeByteSeq | ( | ostream & | os,
|  | const vector< unsigned char > & | vec )

inline

Definition at line 165 of file zipheadio.h.

## writeUint16()

void zipios::writeUint16 | ( | uint16 | host_val,
|  | ostream & | os )

inline

Definition at line 118 of file zipheadio.h.

## writeUint32()

void zipios::writeUint32 | ( | uint32 | host_val,
|  | ostream & | os )

inline

Definition at line 96 of file zipheadio.h.

## ztohl()

uint32 zipios::ztohl | ( | unsigned char * | buf | ) |

inline

Definition at line 51 of file zipheadio.h.

## ztohs()

uint16 zipios::ztohs | ( | unsigned char * | buf | ) |

inline

Definition at line 43 of file zipheadio.h.